Package org.eclipse.microprofile.rest.client.tck

# Class EntityPartTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.EntityPartTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

@RunAsClient public class EntityPartTest extends org.jboss.arquillian.testng.Arquillian

Author:
  James R. Perkins

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`EntityPartTest.FileManagerClient`
`static class`
`EntityPartTest.FileManagerFilter`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`EntityPartTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`uploadFile()`
Tests that a single file is upload.
`void`
`uploadMultipleFiles()`
Tests that two files are upload.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPartTest

public EntityPartTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### uploadFile

public void uploadFile() throws Exception
Tests that a single file is upload. The response is a simple JSON response with the file information.

Throws:
  `Exception` - if a test error occurs

### uploadMultipleFiles

public void uploadMultipleFiles() throws Exception
Tests that two files are upload. The response is a simple JSON response with the file information.

Throws:
  `Exception` - if a test error occurs